<div class="row mb-3 align-items-center justify-content-between">
  <div class="col-md-auto col-sm-auto">
    <div class="section-title">
      <h2 *ngIf="!isEditMode">{{'ADD_ANALYST' | translate}}</h2>
      <h2 *ngIf="isEditMode">{{'EDIT_ANALYST' | translate}}</h2>
    </div>
  </div>
</div>

<form [formGroup]="analystForm">
  <div class="row">
    <div class="col-7">
      <div class="col-md-12">
        <div class="form-group ">
          <label>{{'NAME' | translate}}</label>
          <input formControlName="name" class="form-control" type="text">
          <div *ngIf="analystForm.get('name').touched && analystForm.get('name').errors">
            <div class="text-danger small" *ngIf="analystForm.get('name').errors?.required">
              {{'NAME_IS_REQUIRED' | translate}}
            </div>
          </div>
        </div>
      </div>
      <div class="col-md-12">
        <div class="form-group ">
          <label>{{'TITLE_BNIS' | translate}}</label>
          <input formControlName="title" class="form-control" type="text">
          <!-- <div *ngIf="analystForm.get('title').touched && analystForm.get('title').errors">
            <div class="text-danger" *ngIf="analystForm.get('title').errors?.required">
              {{'TITLE_IS_REQUIRED' | translate}}
            </div>
          </div> -->
        </div>
      </div>
      <div class="col-md-12">
        <div class="form-group">
          <label>Email</label>
          <input formControlName="email" class="form-control" type="email">
          <div *ngIf="analystForm.get('email').touched && analystForm.get('email').errors">
            <div class="text-danger small" *ngIf="analystForm.get('email').errors?.required">
              {{'EMAIL_IS_REQUIRED' | translate}}
            </div>
            <div class="text-danger small" *ngIf="analystForm.get('email').errors?.email">
              {{'PLEASE_ENTER_VALID_EMAIL' | translate}}
            </div>
          </div>
        </div>
      </div>
      <div class="col-md-12">
        <div class="form-group ">
          <label>{{'MOBILE_NUMBER' | translate}}</label>
          <input formControlName="phone" class="form-control" type="text">
          <div *ngIf="analystForm.get('phone').touched && analystForm.get('phone').errors">
            <div class="text-danger small" *ngIf="analystForm.get('phone').errors?.required">
              {{"MOBILE_IS_REQUIRED" | translate}}
            </div>
          </div>
        </div>
      </div>
      <div class="col-md-12">
        <div class="form-group ">
          <label>{{'COVERAGE' | translate}}</label>
          <input formControlName="coverage" class="form-control" type="text">
          <!-- <div *ngIf="analystForm.get('coverage').touched && analystForm.get('coverage').errors">
            <div class="text-danger" *ngIf="analystForm.get('coverage').errors?.required">
              {{'COVERAGE_IS_REQUIRED' | translate}}
            </div>
          </div> -->
        </div>
      </div>
    </div>
    <div class="col-5">
      <div class="col-12 mb-3">
        <div class="form-group px-0">
          <label>{{'PHOTO_UPLOAD' | translate}}  <span class="small">(Format '.jpg, .jpeg')</span></label>
          <input class="form-control" #file (change)="upload($event, file.files)" type="file">
          <div class="small"><i>*{{'DOCUMENT_IS_REQUIRED' | translate}}</i></div>
          <div
            *ngIf="(analystForm.get('fileName').touched || analystForm.get('fileName').dirty) && analystForm.get('fileName').errors">
            <div class="text-danger small" *ngIf="analystForm.get('fileName').errors?.required">
              {{'DOCUMENT_IS_REQUIRED' | translate}}
            </div>
          </div>
          <div
            *ngIf="(analystForm.get('extension').touched || analystForm.get('extension').dirty) && (analystForm.get('fileName').errors || analystForm.get('extension').errors)">
            <div class="text-danger small" *ngIf="analystForm.get('extension').errors?.required">
              {{'DOCUMENT_TYPE_IS_NOT_ALLOW' | translate}}
            </div>
          </div>
        </div>
      </div>
      <div *ngIf="base64Photo && base64Photo != ''" class="col-12 mx-auto cust-box-preview-photo">
        <div class="d-flex align-item-center justify-content-center">
          <img class="img-analyst" [src]="'data:image/jpeg;base64, ' + base64Photo" alt="Failed To Load Image"/>
        </div>
      </div>
      <div *ngIf="base64Photo == '' || !base64Photo" class="col-12 mx-auto cust-box-preview-photo">
        <div class="d-flex flex-column">
          <span class="small d-flex align-item-center justify-content-center"><i>*preview</i></span>
          <i class="material-icons d-flex align-item-center justify-content-center" style="font-size:165px; color: dimgray;">portrait</i>
        </div>
      </div>
    </div>
  </div>

  <div class="col-md-12">
    <mat-progress-bar *ngIf="showProgress" mode="determinate" [value]="progress"></mat-progress-bar>
  </div>
  <div class="mt-4 col-md-12">
    <ng-container *ngIf="!isEditMode">
      <button [disabled]="!analystForm.valid" *hasClaim="'user_create_user'" class="btn btn-success btn-sm m-right-10" (click)="saveAnalyst()"
        cdkFocusInitial><i class="las la-save"></i> Save</button>
    </ng-container>
    <ng-container *ngIf="isEditMode">
      <button [disabled]="!analystForm.valid" *hasClaim="'user_edit_user'" class="btn btn-success btn-sm m-right-10" (click)="saveAnalyst()"
        cdkFocusInitial><i class="las la-save"></i> {{'SAVE' | translate}}</button>
    </ng-container>
    <button type="button" class="btn btn-danger btn-sm" [routerLink]="['/analysts']"><i class="las la-times-circle"></i> {{'CANCEL' | translate}}</button>
  </div>
</form>
